net.snowflake.client.jdbc.telemetry

## Class NoOpTelemetryClient

- java.lang.Object
- - net.snowflake.client.jdbc.telemetry.NoOpTelemetryClient

All Implemented Interfaces:
  Telemetry

    public class NoOpTelemetryClient
    extends Object
    implements Telemetry

Telemetry client that is doing nothing. Mainly used in testing code

### Constructor Summary

Constructors
Constructor and Description
`NoOpTelemetryClient()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addLogToBatch(TelemetryData log)` Attempt to add log to batch, and suppress exceptions thrown in case of failure
`void` `close()` Close telemetry connector and send any unsubmitted logs
`boolean` `sendBatch()` Send all cached logs to server
`void` `tryAddLogToBatch(TelemetryData log)` Attempt to add log to batch, and suppress exceptions thrown in case of failure

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NoOpTelemetryClient

    public NoOpTelemetryClient()

### Method Detail

#### tryAddLogToBatch

    public void tryAddLogToBatch(TelemetryData log)

Description copied from interface: `Telemetry`
Attempt to add log to batch, and suppress exceptions thrown in case of failure

Specified by:
  `tryAddLogToBatch` in interface `Telemetry`
Parameters:
  `log` - entry to add

#### addLogToBatch

    public void addLogToBatch(TelemetryData log)

Description copied from interface: `Telemetry`
Attempt to add log to batch, and suppress exceptions thrown in case of failure

Specified by:
  `addLogToBatch` in interface `Telemetry`
Parameters:
  `log` - entry to add

#### close

    public void close()

Description copied from interface: `Telemetry`
Close telemetry connector and send any unsubmitted logs

Specified by:
  `close` in interface `Telemetry`

#### sendBatch

    public boolean sendBatch()

Description copied from interface: `Telemetry`
Send all cached logs to server

Specified by:
  `sendBatch` in interface `Telemetry`
Returns:
  whether the logs were sent successfully